Subject: Re: [PATCH 10/21] netfilter: ipset: Return bool values instead of int

From: Pablo Neira Ayuso <[email-masked]>
Date: Mon, 18 May 2015 18:52:55 +0200

On Mon, May 18, 2015 at 09:31:30AM -0700, Joe Perches wrote:
> On Mon, 2015-05-18 at 18:25 +0200, Pablo Neira Ayuso wrote:
> > From: Sergey Popovich <[email-masked]>
> []
> > diff --git a/net/netfilter/ipset/ip_set_hash_ip.c b/net/netfilter/ipset/ip_set_hash_ip.c
> []
> > @@ -56,15 +56,15 @@ hash_ip4_data_equal(const struct hash_ip4_elem *e1,
> >  	return e1->ip == e2->ip;
> >  }
> >  
> > -static inline bool
> > +static bool
> 
> It's nicer when a change like this, which doesn't fit the
> subject description, is explained or described in the commit log.

I indicated this in the patchset description:

"10) Return true/false instead of 0/1 in functions that return boolean
     in the ipset code."

but I agree that this should show in the description as well to make
this self-contained.

I'll put a closer look on this next time, sorry.